osl::book::opiece_sort Struct Reference

## Public Member Functions

bool | operator() (const OPiece &l, const OPiece &r)

## Detailed Description

Definition at line 26 of file compactBoard.cc.

## Member Function Documentation

## operator()()

bool osl::book::opiece_sort::operator() | ( | const OPiece & | l,
|  | const OPiece & | r )

inline

Definition at line 28 of file compactBoard.cc.

References osl::book::OPiece::owner(), osl::book::OPiece::ptype(), osl::book::OPiece::square(), osl::Square::STAND(), osl::WHITE, osl::Square::x(), and osl::Square::y().

The documentation for this struct was generated from the following file:

- compactBoard.cc